﻿CREATE TABLE [dbo].[ClientsAndStrategies] (
    [Id]               UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]        UNIQUEIDENTIFIER NULL,
    [Date]             DATETIME2 (7)    NULL,
    [Approach]         UNIQUEIDENTIFIER NULL,
    [Strategy]         NVARCHAR (256)   NULL,
    [Category]         UNIQUEIDENTIFIER NULL,
    [Importance]       UNIQUEIDENTIFIER NULL,
    [Impact]           UNIQUEIDENTIFIER NULL,
    [Remark]           NVARCHAR (512)   NULL,
    [ClientName]       NVARCHAR (256)   NULL,
    [ClientIndustry]   UNIQUEIDENTIFIER NULL,
    [ClientRemark]     NVARCHAR (512)   NULL,
    [CreatedOn]        DATETIME2 (7)    NULL,
    [UserCreatedById]  UNIQUEIDENTIFIER NULL,
    [ModifiedOn]       DATETIME2 (7)    NULL,
    [UserModifiedById] UNIQUEIDENTIFIER NULL,
    [IsDeleted]        BIT              NULL,
    [DeletedOn]        DATETIME2 (7)    NULL,
    [UserDeletedById]  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_ClientsAndStrategies] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_ClientsAndStrategies_AviraUser] FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_ClientsAndStrategies_AviraUser1] FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_ClientsAndStrategies_AviraUser2] FOREIGN KEY ([UserDeletedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_ClientsAndStrategies_ClientStrategyCategory] FOREIGN KEY ([Category]) REFERENCES [dbo].[ClientStrategyCategory] ([Id]),
    CONSTRAINT [FK_ClientsAndStrategies_Company] FOREIGN KEY ([CompanyId]) REFERENCES [dbo].[Company] ([Id]),
    CONSTRAINT [FK_ClientsAndStrategies_ImpactDirection] FOREIGN KEY ([Impact]) REFERENCES [dbo].[ImpactDirection] ([Id]),
    CONSTRAINT [FK_ClientsAndStrategies_Importance] FOREIGN KEY ([Importance]) REFERENCES [dbo].[Importance] ([Id])
);

